## icom 20040912

=== Makefile ===
#
# Makefile for icom
#
PROGRAM= icom
COMPILER= gcc
COPTS= -O 
BINDIR= /usr/local/bin
INSTALL= install
DEFS=
#
INCL= -I../include
CFLAGS= $(COPTS) $(DEFS) $(INCL)
CC= $(COMPILER)
LIB= /lib/libm.a 
#
SOURCE= icom.c radio.c packet.c tables.c
OBJS= icom.o radio.o packet.o tables.o
EXEC= icom

all:	$(PROGRAM)

icom:	$(OBJS)
	$(CC) $(COPTS) -o $@ $(OBJS) $(LIB)

install: $(BINDIR)/$(PROGRAM)

$(BINDIR)/$(PROGRAM): $(PROGRAM)
	$(INSTALL) -c -m 0755 $(PROGRAM) $(BINDIR)

tags:
	ctags *.c *.h

depend:
	mkdep $(CFLAGS) $(SOURCE)

clean:
	-@rm -f $(PROGRAM) $(EXEC) $(OBJS)

## icom 20120228

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 PROGRAM= icom
 COMPILER= gcc
-COPTS= -O 
+COPTS= -g -O 
 BINDIR= /usr/local/bin
 INSTALL= install
 DEFS=
@@ -11,7 +11,7 @@
 INCL= -I../include
 CFLAGS= $(COPTS) $(DEFS) $(INCL)
 CC= $(COMPILER)
-LIB= /lib/libm.a 
+LIB= /lib/libm.so
 #
 SOURCE= icom.c radio.c packet.c tables.c
 OBJS= icom.o radio.o packet.o tables.o

=== debian/changelog ===
icom (20120228-7) unstable; urgency=medium

  * Address FTBFS with GCC-15 (Closes: #1096827)
  * Freshen patches

 -- tony mancill <tmancill@debian.org>  Sun, 07 Sep 2025 21:14:34 -0700

icom (20120228-6) unstable; urgency=medium

  * Team upload.
  * Address FTBFS w/GCC-14 due to [-Wint-conversion] (Closes: #1075081)
  * Set Rules-Requires-Root: binary-targets in debian/control

 -- tony mancill <tmancill@debian.org>  Sun, 07 Jul 2024 15:19:53 -0700

icom (20120228-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev.

  [ tony mancill ]
  * Clean-up compiler warnings (Closes: #1066486)
  * Add lintian-overrides

 -- tony mancill <tmancill@debian.org>  Tue, 19 Mar 2024 21:58:58 -0700

icom (20120228-4) unstable; urgency=medium

  * Add Vcs fields for repo on Salsa
  * Update Uploaders field, removing Colin Tuckley (Closes: #990599)
  * Use debhelper-compat 13 (Closes: #965590)
  * Change package Priority from extra to optional
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    Thank you to Helmut Grohne for the patch.  (Closes: #929220)
  * Use dh sequencer

 -- tony mancill <tmancill@debian.org>  Wed, 22 Dec 2021 22:11:52 -0800

icom (20120228-3) unstable; urgency=medium

  * Remove hamish from uploaders since he has retired (closes: #831489)
  * Bump standards version to 3.9.8
  * Raise debhelper compatibility version level to 6

 -- Colin Tuckley <colint@debian.org>  Sun, 02 Jul 2017 10:46:00 +0100

icom (20120228-2) unstable; urgency=medium

  * Fix Buff overflow in radio.c (closes: #780505).

 -- Colin Tuckley <colint@debian.org>  Sat, 02 May 2015 20:49:00 +0100

icom (20120228-1) unstable; urgency=medium

  * New Upstream Release
  * Ack the NMU from Joop
  * Bump standards version to 3.9.6
  * Raise debhelper compatibility version level to 5
  * Fix various minor Lintian warnings
  * Update to source format 3 (quilt)

 -- Colin Tuckley <colint@debian.org>  Wed, 15 Oct 2014 17:36:16 +0100

icom (20040912-1.1) unstable; urgency=low

  * Retiring - remove myself from the uploaders list.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 14 Nov 2009 14:16:07 +0000

icom (20040912-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Sat, 17 Sep 2005 14:10:31 +1000

icom (20020923-3) unstable; urgency=medium

  * Modified icom.c to include <errno.h>. Fixes FTBFS on
    amd64 (closes: #277805). Thanks to Andreas Jochens for the patch.
  * Upgraded to debhelper 4
  * Upgraded to standards-revision 3.6.1 (was 3.5.7)

 -- Hamish Moffatt <hamish@debian.org>  Mon, 25 Apr 2005 21:56:51 +1000

icom (20020923-2) unstable; urgency=low

  * Fixed links in /usr/share/doc/icom/html/index.htm (closes: #179732)
  * Added manual page icom(1)

 -- Hamish Moffatt <hamish@debian.org>  Tue,  4 Feb 2003 23:50:12 +1100

icom (20020923-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Thu, 10 Oct 2002 22:57:26 +1000

icom (19990819-3) unstable; urgency=low

  * Updated standards-version and added build-depends
  * Applied patch from Don VE3HUR to fix the number of memories
    in the IC-765 and to fix incorrect parsing of the freq
    command when a mode is specified.

 -- Hamish Moffatt <hamish@debian.org>  Wed, 30 Jan 2002 23:33:21 +1100

icom (19990819-2) unstable; urgency=low

  * FHS compliant

 -- Hamish Moffatt <hamish@debian.org>  Fri,  1 Oct 1999 23:31:47 +1000

icom (19990819-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Fri, 10 Sep 1999 22:57:31 +1000

icom (19980709-2) unstable; urgency=low

  * Applied patch for GLIBC 2.1, fixes bug#38499

 -- Hamish Moffatt <hamish@debian.org>  Sat, 29 May 1999 23:35:00 +1000

icom (19980709-1) unstable; urgency=low

  * First upload

 -- Hamish Moffatt <hamish@debian.org>  Sun, 07 Feb 1999 00:39:00 +1100

=== debian/control ===
Source: icom
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Jaime Robles <jaime@debian.org>,
 Patrick Ouellette <pouelle@debian.org>,
 tony mancill <tmancill@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper-compat (= 13)
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/icom.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/icom
Rules-Requires-Root: binary-targets

Package: icom
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Software control for ICOM radios with CI-V interface
 This program allows you to control many types of ICOM radio
 (transceivers and receivers) from the serial port on your computer.
 You need a CI-V interface circuit to connect the radio to the computer
 (to convert between RS-232 and TTL), which can be easily found on the web.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

package = icom

%:
	dh $@

override_dh_auto_install:
	make install BINDIR=debian/icom/usr/bin

override_dh_installdocs:
	dh_installdocs call.txt freq.txt arinc_freq
	cp -r 7000* 706* 756* r7000 r71 r72 8500* r8500* qsy debian/icom/usr/share/doc/icom/examples
	chmod -R a-x debian/icom/usr/share/doc/icom/examples/*
	cp -a html debian/icom/usr/share/doc/icom

override_dh_installman:
	dh_installman debian/icom.man
